Bug 848235 - unable to accept meeting
unable to accept meeting
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-14 20:57 EDT by Ben Woodard
Modified: 2013-07-31 23:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 23:46:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of RH config (23.15 KB, image/png)
2012-08-14 20:57 EDT, Ben Woodard
no flags Details

  None (edit)
Description Ben Woodard 2012-08-14 20:57:16 EDT
Created attachment 604487 [details]
screenshot of RH config

Description of problem:
might be two problems and I will readily accept the possibility that PEBKAC but this seems to be a problem with evolution's ability to talk to zimbra. 

Version-Release number of selected component (if applicable):

How reproducible:
neither Zimbra nor google calendar is working with evolution.

Steps to Reproduce:
1. Follow these instructions to setup evolution calendars https://docspace.corp.redhat.com/people/plambri/blog/2012/04/17/set-up-zimbra-calendars-with-evolution
2. have someone send you a meeting invite.
3. try to accept it
Actual results:
On the redhat calendar: Unable to send item to calendar: "Redhat Calendar" cannot retrieve calendar objects: Unexpected status code 500 returned (Internal Server Error)

On the google calendar I get the following error: Unable to send item to calendar 'Google'.  Cannot receive calendar objects: Calendar does not exist
This is in spite of the fact that the I can go to the properties and browse for the calendars.

Expected results:
The meeting appears on my calendar

Additional info:
The items on my google and redhat calendar do not seem to be appearing. However, paul friend's tech talk calendar and the company calendar both appear.
Comment 1 Milan Crha 2012-08-15 05:48:59 EDT
Zimbra automatically adds events from invitation emails when they are received, thus evolution should find it in your calendar. I tested this with single meeting and it works if CalDAV calendar was properly updated, which for me meant that when I selected newly received meeting invitation I got "Not found in any calendar", but when I moved to the Calendar and let it update the CalDAV calendar (like invoking Refresh from a context popup menu over the CalDAV calendar), then when I returned back to the Mail view, the email (after select other message and back) showed "Found event in calendar 'RedHat'". After that, if I accept it, it is sent to my calendar with no error. I then tried the same with recurring event and detached instances and it works pretty much the same. I never got "Internal Server Error" response. After this, from my point of view, the main issue is with updating the CalDAV calendar to reflect current changes on the server. (I also got "Conflict" response when I accepted a meeting change which was for an event in my calendar, but my local copy had older version than was on the server.)

The "Browse for the calendar" option may not have any influence on the functionality, it only prefills values based on the found data. The only exception can be CalDAV URL itself, if it contains any letters which requires escaping, like spaces.
Comment 2 Milan Crha 2012-08-15 06:04:17 EDT
I filled [1] upstream, to cover one part of this bug report. Feel free to CC there to watch any further updates.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=681902
Comment 3 Fedora End Of Life 2013-07-03 20:15:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 23:46:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.